org.apache.torque.generator.source

## Class SourceElementNodePointerFactory

- java.lang.Object
- - org.apache.torque.generator.source.SourceElementNodePointerFactory

- All Implemented Interfaces:
    org.apache.commons.jxpath.ri.model.NodePointerFactory

      public class SourceElementNodePointerFactory
      extends Object
      implements org.apache.commons.jxpath.ri.model.NodePointerFactory

  A node pointer factory for SourceElements.
  Version:
    $Id: $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceElementNodePointerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.jxpath.ri.model.NodePointer` | `createNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName name, Object object)`
    `org.apache.commons.jxpath.ri.model.NodePointer` | `createNodePointer(org.apache.commons.jxpath.ri.QName name, Object object, Locale locale)`
    `int` | `getOrder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceElementNodePointerFactory

          public SourceElementNodePointerFactory()

  - ### Method Detail

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`

    - #### createNodePointer

          public org.apache.commons.jxpath.ri.model.NodePointer createNodePointer(org.apache.commons.jxpath.ri.QName name,
                                                                                  Object object,
                                                                                  Locale locale)

      Specified by:
        `createNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`

    - #### createNodePointer

          public org.apache.commons.jxpath.ri.model.NodePointer createNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent,
                                                                                  org.apache.commons.jxpath.ri.QName name,
                                                                                  Object object)

      Specified by:
        `createNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.